body{
    overflow-x: hidden;
    min-height:calc( 3000px + 100vh);
    
}
nav{
    display: flex;
    justify-content: space-around;
    align-items: center;
    min-height: 12vh;
    background-color: var(--color-fundo-darker);
    position:fixed;
    top:0;
    left: 0;
    z-index: 20;
    width: 100%;
    
}
.logo a{
    color:white;
    text-transform: uppercase;
    letter-spacing: 5px;
    font-size: 30px;
    text-decoration: none;
}
#bio{
    color:var(--color-green);
    text-transform: uppercase;
    font-size: 30px;
}
.nav-links{
    display: flex;
    justify-content: space-around;
    min-width: 60%;
    position: relative;
    z-index: 3;
    border-radius: 30px;
    overflow: hidden;
    box-shadow: 0 2px 25px var(--color-green);
    padding: 6px;
    
    

}

.nav-links li{
    list-style-type: none;
    padding: 1px 17px;
    border-radius: 5px;
    
        
}

.nav-links li.active{

border-bottom:1px solid var(--color-green);
transition: all 0.5s ease;


}


.slide{
    position: absolute;
    
}
.nav-links li:hover > a{
    color:var(--color-green);   
    
}
.nav-links li a{
    color: white;
    text-decoration: none;
    letter-spacing: 3px;
    font-size: 11px;
    font-weight: 400;
    transition: 0.5s;
    
    
    

}
.burger{
    display: none;
    cursor: pointer;
}

.burger div{
    width: 25px;
    height: 3px;
    background-color: #fff;
    margin-top: 6px;
    transition: all 0.3s ease;

}

header{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 40px 100px;
    z-index: 1000;
}
header .logo{
    position: relative;
    font-size:2em;
    color:#fff;
    text-transform: uppercase;
    font-weight: 700;
    letter-spacing: 2px;
    text-decoration: none;
    
}


header .logo span{
    color: var(--color-green);
}
header .toggle{
    max-width: 60px;
    cursor: pointer;
}
header .toggle img{
    max-width: 100%;
    filter: invert(1);
    
}
    /*burguer animation*/
    .toggle .line1{
        transform: rotate(-45deg) translate(-5px,6px);
        
        }
        .toggle .line2{
        opacity: 0;
        
        }
        .toggle .line3{
            transform: rotate(45deg) translate(-5px,-6px);
            
        }
        /*burguer animation*/
         /*animation nav text entering*/
@keyframes navLinkFade {
    from{
        opacity: 0;
        transform: translate(50px);
    }
    to{
        opacity: 1;
        transform: translate(0px);
    }
}
/*animation nav text entering*/

/*nav*/

    
    
    
    /*burguer animation*/
    .toggle .line1{
    transform: rotate(-45deg) translate(-5px,6px);
    
    }
    .toggle .line2{
    opacity: 0;
    
    }
    .toggle .line3{
        transform: rotate(45deg) translate(-5px,-6px);
        
    }

    /*burguer animation*/

    /*section content*/
    

    .book{
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 0;
        background-color: var(--color-fundo-darker);
    }

    section.content{
        width: 100%;
        max-width: 800px;
        padding: 32px;
        position: relative;
        z-index: 1;
        color: rgb(251, 249, 249);
        margin-top: 150px;
        
        
    }
    section.content h1{
        margin-top: 52px;
        margin-bottom: 32px;
        font-weight: 400;
        font-size: 3em;
        color: var(--color-green);
    }
    section.content p{
        margin-bottom: 100px;
        line-height: 30px;
        font-size: 1.2em;

    }
    section.content li{
        margin-bottom: 32px;
        padding-left: 40px;
        position:relative;
        list-style-type: none;
        font-size: 18px;
        height: auto;
    }
    section.content li::before{
        content: "\2014\00A0";
        position: absolute;
        top: 0;
        left: 0;
    }
    .content h2{
        margin-bottom: 32px;
        font-weight: 400;
        color: var(--color-green);
    }
    .content a{
        text-decoration: none;
        color:white;
        padding: 5px 30px;
        background-color: var(--color-green);
        border-radius: 3px;
        margin: 100px;
       
    }
    /*section partners*/
    section.partners{
        width: 100%;
        max-width: 600px;
        padding: 32px;
        position: relative;
        z-index: 1;
        color: rgb(251, 249, 249);
        margin-top: 150px;
        margin-bottom: 200px;
        
    }
    section.partners h1{
        
        margin-bottom: 32px;
        font-weight: 400;
        font-size: 2.8em;
        color: var(--color-green);
    }
    section.partners p{
        margin-bottom: 100px;
        line-height: 30px;
        font-size: 1.2em;

    }
    section.partners li{
        margin-bottom: 32px;
        padding-left: 40px;
        position:relative;
        list-style-type: none;
    }

    

    section.partners img{
        width: 40%;
        height:40% ;
        padding: 30px;
        margin-top: 30px;
        background-color: rgb(249, 247, 247);
    }

    footer {
        text-align: center;
        padding-bottom: 2rem;
      }
      footer span {
        font-weight: bold;
        color: #20c997;
      }
      .social i{
        width: 50px;
        height: 50px;
        justify-content: center;
        align-items: center;
        padding: 0px 10px 0px 10px;
    }
    
    
    .fa-instagram{
        display: flex;
        width: 50px;
        height: 50px;
        font-size: 30px;
        justify-content: center;
        align-items: center;
        
    }
    .fa-twitter{
        display: flex;
        width: 50px;
        height: 50px;
        font-size: 30px;
        justify-content: center;
        align-items: center;
        
    }
    .fa-facebook-f{
        display: flex;
        width: 50px;
        height: 50px;
        font-size: 30px;
        justify-content: center;
        align-items: center;
        
    }


    /*section content*/
    @media screen and (max-width:795px){

        .nav-links{
            position: fixed;
            right:0px;
            height: 92vh;
            top: 8vh;
            background-color: var(--color-fundo);
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 50%;
            /*width: 100%;*/
            transform: translateX(100%);
            transition: transform 0.5s ease-in;
        
        }
        .nav-links li{
        opacity: 0;
        }
        .burger{
            display: block;
            overflow:hidden;
        }
        .fa-brands{
            display: flex;
            width: 50px;
            height: 50px;
            font-size: 30px;
            align-items: flex-start;
            margin: 0px 10px 0px 10px;
            
        }
        p.all{
            font-size: 18px;
          }
          .skillform{
            font-size: 10px;
          }
          .learn{
            font-size:10px;
          }
        }
        
        .nav-active{
            transform: translateX(0%);
        }
        
              /*footer*/
    .col2 {
        display: flex;
        }
  
    footer {
    
    background: linear-gradient(90.73deg, var(--color-green) 4%, var(--color-fundo-dark));
    padding: 2em 1em;
    color: #1A1A1A;
    font-weight: bold;
    position: relative;
    left: 0;
    bottom:0;
    width: 100%;
    z-index: 9;
    
    }
    .all {
        margin: .3em 0 0 .5em;
        font-size: 2rem;
    }
  
    .parent {
        display: block;
    }
  
    .twitter {
        width: 2em;
        margin-left: .5em;
    }
  
    .social {
        margin-top: 2em;
    }
  
    a {
        color: black;
        text-decoration: none;
    }
  
    .angle-line {
        margin-top: 1.2em;
    }
    /*footer*/
      
  /* media footer*/
  
  
  @media only screen and (min-width: 750px) {
     
    footer {
        padding: 3em;
    }
    .fa-brands{
        display: flex;
        width: 50px;
        height: 50px;
        font-size: 30px;
        align-items: flex-start;
        margin: 0px 10px 0px 10px;
        
    }
  }
  
  
  @media only screen and (min-width: 1200px) { 
  
    
    footer {
        margin: 0;
        padding: 6em;
    }
        .parent {
            max-width: 1150px;
            margin: 0 auto;
            display: flex;
            justify-content: space-between;
        }
  
        .social {
            margin: 0;
        }
  
        .learn, .skillform {
            margin: 1em;
        }
        
  
    
  }
    